Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Tap-Initiated Authorization for Debt Recovery


Use this information to process a tap-initiated authorization for debt recovery. When a cardholder attempts to use a blocked card at the transit reader, create a new debt recovery authorization request using the chip data from the new tap, along with the fare amount of the previous declined authorization.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA Debt recovery tap auth",    "code": "10000597",    "transactionId": "20000597",    "partner": {      "thirdPartyCertificationNumber": "BPCDRC220403",      "solutionId": "548UHQ8Z"    }  },  "processingInformation": {    "industryDataType": "transit",    "captureOptions": {      "dateToCapture": "0425"    },    "commerceIndicator": "retail",    "authorizationOptions": {      "debtRecoveryIndicator": "true",      "deferredAuthIndicator": "true"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "10.00",      "currency": "EUR"    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "catLevel": "2",    "entryMode": "contactless",    "terminalCapability": "5",    "terminalPinCapability": "0",    "emv": {      "tags": "5F2A0209768407A00000000310109F360200029F03060000000000009C01005F3401019F10201F220100A00000000000000000000000000000000000000000000000000000009F33030008089A032204259F260845E978CEEC63154F9F2701409F0206000000000200820220209F34031F00009F1A0209769F6E04207000009F3704B257DA1495050000000000",      "cardSequenceNumber": "1"    },    "trackData": ";476173XXXXXXXXXX=241220119058254?"  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/6508883585936636904003"    }  },  "clientReferenceInformation": {    "code": "10000597",    "partner": {      "solutionId": "548UHQ8Z"    },    "transactionId": "20000597"  },  "errorInformation": {    "reason": "PROCESSOR_DECLINED",    "message": "Decline - General decline of the card. No other information provided by the issuing bank."  },  "id": "6508883585936636904003",  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "163648",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "211512163648",    "transactionId": "016153570198200",    "responseCode": "05",    "avs": {      "code": "2"    }  },  "status": "DECLINED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA Debt recovery tap auth.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.cardSequenceNumberSet this field to 1.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.